Bug 90542 - FlexLM MI/X module wedges kernel
FlexLM MI/X module wedges kernel
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-09 11:28 EDT by Ken Olum
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ken Olum 2003-05-09 11:28:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
I installed FlexLM to manage floating licenses for the microimages X server from
ftp://ftp.microimages.com/pub/mix/flexlm-linux.tar.gz, with the following
license dat file:

SERVER cosmos.phy.tufts.edu 009027dc4ccd
USE_SERVER
VENDOR lmdmcrimgs "/usr/local/flexlm/lmdmcrimgs"
FEATURE mix lmdmcrimgs 4.000 permanent 10 0 ck=3D172

The hostID is correct for the machine, but the checksum for the product is not
the right one, because we sent them the wrong hostID when we got a license.

When I started lmgrd as root, my machine became totally wedged: no mouse
tracking, no return of ICMP echoes, no response to Ctl-Alt-Del, etc.
Of course I don't know what the program is doing, and it was running as root, so
it could be a program error, but I suspect a kernel problem.
The problem occurs on more than one machine (with the correct machine name and
hostID in the file) and in both 7.1 and 7.2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  See description
2.
3.
    

Additional info:
Comment 1 Arjan van de Ven 2003-05-09 11:39:30 EDT
which kernel was this ?
and running unknown stuff as root indeed can just hang your box... root has that
power
Comment 2 Ken Olum 2003-05-09 12:32:10 EDT
The kernel is 2.4.18-27.7.

It could of course be a problem with the program.  I am reporting it also to
Microimages.  The reason that I suspect a kernel problem is that one wouldn't
think the normal stuff that would be in a program to read files and check
license codes would lead to crashes.  But of course I understand that there's no
limit to the ability of some random programmer at some other company to screw up.
Comment 3 Bugzilla owner 2004-09-30 11:40:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.